import { CodeMirrorEditor } from '@jupyterlab/codemirror';
import { VirtualEditor } from '../../virtual/editor';
import { CodeMirrorLSPFeature } from './feature';
import { LSPConnection } from '../../connection';
import { IJupyterLabComponentsManager } from '../jupyterlab/jl_adapter';
interface IFeatureTestEnvironment {
    host: HTMLElement;
    ce_editor: CodeMirrorEditor;
    virtual_editor: VirtualEditor;
    dispose(): void;
}
export declare class FeatureTestEnvironment implements IFeatureTestEnvironment {
    protected language: () => string;
    protected path: () => string;
    protected file_extension: () => string;
    ce_editor: CodeMirrorEditor;
    host: HTMLElement;
    virtual_editor: VirtualEditor;
    private connections;
    constructor(language?: () => string, path?: () => string, file_extension?: () => string);
    init_feature<T extends CodeMirrorLSPFeature>(feature_type: typeof CodeMirrorLSPFeature, register?: boolean): T;
    dispose_feature(feature: CodeMirrorLSPFeature): void;
    create_dummy_connection(): LSPConnection;
    create_dummy_components(): IJupyterLabComponentsManager;
    dispose(): void;
}
export {};
