/// <reference types="react" />
import { VDomRenderer, VDomModel } from '@jupyterlab/apputils';
import { Popup } from '@jupyterlab/statusbar';
import { JupyterLabWidgetAdapter } from '../jl_adapter';
import { VirtualDocument } from '../../../virtual/document';
import { LSPConnection } from '../../../connection';
/**
 * StatusBar item.
 */
export declare class LSPStatus extends VDomRenderer<LSPStatus.Model> {
    protected _popup: Popup;
    /**
     * Construct a new VDomRenderer for the status item.
     */
    constructor();
    /**
     * Render the status item.
     */
    render(): JSX.Element;
    handleClick: () => void;
}
declare type StatusCode = 'waiting' | 'initializing' | 'initialized' | 'connecting';
export interface IStatus {
    connected_documents: Set<VirtualDocument>;
    initialized_documents: Set<VirtualDocument>;
    open_connections: Array<LSPConnection>;
    detected_documents: Set<VirtualDocument>;
    status: StatusCode;
}
export declare namespace LSPStatus {
    /**
     * A VDomModel for the LSP of current file editor/notebook.
     */
    class Model extends VDomModel {
        readonly lsp_servers: string;
        readonly lsp_servers_truncated: string;
        readonly status: IStatus;
        readonly status_icon: string;
        readonly short_message: string;
        readonly long_message: string;
        adapter: JupyterLabWidgetAdapter | null;
        private _onChange;
        private _adapter;
    }
}
export {};
